Bug 1333907 - reweight-by-utilization:- While increasing the weight of the underutilized osds we should consider the least used first
Summary: reweight-by-utilization:- While increasing the weight of the underutilized os...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 1.3.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 1.3.3
Assignee: Samuel Just
QA Contact: shylesh
Bara Ancincova
URL:
Whiteboard:
Depends On: 1331784
Blocks: 1372735
TreeView+ depends on / blocked
 
Reported: 2016-05-06 15:54 UTC by Ken Dreyer (Red Hat)
Modified: 2017-07-30 15:17 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-0.94.7-5.el7cp Ubuntu: ceph_0.94.7-3redhat1trusty
Doc Type: Bug Fix
Doc Text:
.The least used OSDs are selected for increasing the weight With this update, the least used OSD nodes are now selected for increasing the weight during the `reweight-by-utilization` process.
Clone Of: 1331784
Environment:
Last Closed: 2016-09-29 12:58:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 15686 None None None 2016-05-06 15:54:56 UTC
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Comment 8 shylesh 2016-09-14 08:39:16 UTC
[ubuntu@magna032 yum.repos.d]$ sudo ceph osd df
ID WEIGHT  REWEIGHT SIZE  USE   AVAIL %USE  VAR  
 0 1.00000  1.00000  926G  198G  727G 21.45 1.13 
 1 0.89999  0.95554  926G  159G  766G 17.20 0.90 
 2 0.89999  1.00000  926G  167G  758G 18.09 0.95 
 3 0.89999  1.00000  926G  186G  739G 20.16 1.06 
 4 0.89999  1.00000  926G  191G  734G 20.72 1.09 
 5 0.89999  1.00000  926G  174G  751G 18.81 0.99 
 6 0.89999  1.00000  926G  202G  724G 21.82 1.15 
 7 0.89999  1.00000  926G  168G  758G 18.15 0.95 
 8 0.89989  0.79999  926G  137G  788G 14.90 0.78 
              TOTAL 8334G 1586G 6748G 19.03      
MIN/MAX VAR: 0.78/1.15  STDDEV: 2.04
[ubuntu@magna032 yum.repos.d]$ sudo ceph osd test-reweight-by-utilization   101 0.05 
no change
moved 34 / 1925 (1.76623%)
avg 213.889
stddev 23.8814 -> 17.3746 (expected baseline 13.7885)
min osd.6 with 244 -> 237 pgs (1.14078 -> 1.10805 * mean)
max osd.8 with 161 -> 176 pgs (0.752727 -> 0.822857 * mean)

oload 101
max_change 0.05
max_change_osds 4
average 0.190327
overload 0.192230
osd.8 weight 0.799988 -> 0.849976
osd.6 weight 1.000000 -> 0.950012
osd.0 weight 1.000000 -> 0.950012
osd.1 weight 0.955536 -> 1.000000


Now based on the distance from the avg osds will be chosen i.e. higher the difference from avg utilization more chance of getting selected.


Verified on 0.94.9-1.el7cp.x86_64

Comment 11 errata-xmlrpc 2016-09-29 12:58:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.